#pragma once
#include "GenericRefStructs.h"
//#include "DeerRender/SceneCamera.h"

namespace Deer {
    class SceneCamera;

    namespace EditorEngine {
        struct EnvironmentStruct : EnvironmentHandleStruct {
            void render(FrameBufferHandleStruct, SceneCamera&);

            EntityHandleStruct getRootEntity();
            EntityHandleStruct getEntity(int);
        };

        EnvironmentHandleStruct getMainEnvironment();
        EnvironmentHandleStruct createEnvironment();
        
        void registerEnvironmentStructs();
        void registerEnvironmentFunctions();
    }
}